Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.substitution
Class SubstitutionExpr

    java.lang.Object
      com.servingxml.expr.substitution.SubstitutionExpr

Direct Known Subclasses:
  EscapedSubstitutionExpression, FieldSubstitutor, IndexedSubstitutionExpression, LiteralSubstitutionExpr, MultiPartSubstitutionExpr, ParameterSubstitutor

    public abstract class SubstitutionExpr

extends java.lang.Object

Field Summary
`static SubstitutionExpr` | `EMPTY`
`static SubstitutionExpr` | `NULL`

Constructor Summary
`SubstitutionExpr()`

Method Summary
`abstract java.lang.String` | `evaluateAsString(Record parameters, Record record)`
`abstract java.lang.String[]` | `evaluateAsStringArray(Record parameters, Record record)`
`abstract boolean` | `isLiteral()`
`abstract boolean` | `isNull()`
`static SubstitutionExpr` | `parseString(QnameContext context, java.lang.String s)`
`static SubstitutionExpr` | `parseString(QnameContext context, java.lang.String input, EscapeSubstitutionVariables escapeVariables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final SubstitutionExpr EMPTY

### NULL

    public static final SubstitutionExpr NULL

Constructor Detail

### SubstitutionExpr

    public SubstitutionExpr()

Method Detail

### parseString

    public static SubstitutionExpr parseString(QnameContext context,
                                               java.lang.String s)

### parseString

    public static SubstitutionExpr parseString(QnameContext context,
                                               java.lang.String input,
                                               EscapeSubstitutionVariables escapeVariables)

### evaluateAsString

    public abstract java.lang.String evaluateAsString(Record parameters,
                                                      Record record)

### evaluateAsStringArray

    public abstract java.lang.String[] evaluateAsStringArray(Record parameters,
                                                             Record record)

### isNull

    public abstract boolean isNull()

### isLiteral

    public abstract boolean isLiteral()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD